<template>
  <div>
    <p>
      <nuxt-link to="#international-content"
        >Go to international content</nuxt-link
      >
    </p>

    <section id="french-content" class="fr-col-lg-8 anct-html-content">
      <FrTitle class="fr-mb-6w" larger>Politique de sécurité</FrTitle>
      <p>
        Ce document cadre la politique de divulgation des vulnérabilités pour
        tous les projets de l'Incubateur des territoires
      </p>

      <h2>Politique de divulgation</h2>
      <p>
        Nous étudierons les rapports légitimes et mettrons tout en oeuvre pour
        répondre au plus vite. Merci de bien vouloir éviter la violation de la
        vie privée, la destruction de données et la dégradation ou
        l'interruption de nos services.
      </p>
      <p>
        Il est également important de suivre les consignes listées dans la
        partie Proof of concepts ci-dessous pour assurer la qualité de votre
        démonstration.
      </p>
      <p>
        Pour toutes questions ou doutes à propos de notre politique de
        divulgation, n'hésitez pas à nous contacter par email. Si besoin, nous
        mettons à disposition notre
        <a href="/.well-known/public-key-incubateur.asc">clé PGP publique</a>
        pour assurer la confidentialité de la communication.
      </p>

      <h2>Temps de traitement</h2>
      <p>
        Nous ferons au mieux pour respecter les temps de traitement suivants
        pour répondre aux professionnels participants :
      </p>

      <p class="fr-mb-0">
        <strong>Réponse initiale :</strong> 2 jours ouvrés maximum
      </p>
      <p><strong>Réponse de traitement :</strong> 10 jours ouvrés maximum</p>

      <h2>Portée</h2>
      <p>
        Sont dans la portée de notre politique de sécurité tous les
        sous-domaines dans lesquels un fichier
        <code>.well-known/security.txt</code> faisant référence à cette page
        peut être trouvé. Merci de toujours vérifier que le fichier
        <code>security.txt</code> renvoie vers cette page. Si ce n'est pas le
        cas, le sous-domaine est considéré comme hors de portée.
      </p>
      <pre>
        <code class="language-sh">
          curl http://example.incubateur.anct.gouv.fr/.well-known/security.txt
          Contact: mailto:contactincubateur@anct.gouv.fr
        </code>
      </pre>

      <h2>Exclusions</h2>
      <p class="fr-mb-0">
        Les types de tests suivant sont considérés comme hors de portée :
      </p>
      <ul class="fr-mb-2w fr-ml-2w">
        <li>Résultats d'un test physique comme un accès à un bureau.</li>
        <li>
          Résultats provenant de méthodes d'ingénierie sociale (hameçonnage par
          exemple).
        </li>
        <li>
          Résultats d'applications ou de systèmes hors de la portée de notre
          politique de sécurité.
        </li>
        <li>Rapport de vulnérabilité fondés sur un PoC vidéo.</li>
        <li>Rapport ne s'appuyant pas sur un PoC.</li>
        <li>Rapports théoriques sur de potentiels dommages.</li>
        <li>
          Vulnérabilités remontées par des outils automatisés ou des scanners
          sans analyses complémentaires.
        </li>
        <li>
          Les sujets liés à un service tiers doivent être rapportés à l'équipe
          en charge du service en question.
        </li>
      </ul>

      <p class="fr-mb-0">Les sujets suivants sont exclus :</p>
      <ul class="fr-mb-2w fr-ml-2w">
        <li>Déni de service sur la couche réseau</li>
        <li>Bugs UI/UX</li>
        <li>
          Problèmes d'en-têtes non accompagnés d'une démonstration fonctionnelle
        </li>
        <li>Divulgation de bannières de services</li>
      </ul>

      <h2>Cadre de la preuve</h2>

      <table>
        <thead>
          <tr>
            <th>Type de vulnérabilités</th>
            <th>Quand rapporter</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td><strong>XSS</strong></td>
            <td>
              Un simple <code>alert(document.domain)</code> devrait suffire.
            </td>
          </tr>
          <tr>
            <td><strong>RCE</strong></td>
            <td>
              Merci de ne pas exécuter du code malveillant. Une simple
              évaluation de variable ou un <em>print</em> devrait être suffisant
              pour démontrer la vulnérabilité.
            </td>
          </tr>
          <tr>
            <td><strong>SQLi</strong></td>
            <td>
              Rapporter le problème dès que vous avez une erreur SQL qui indique
              une injection ou bien divulgué la version du serveur SQL
            </td>
          </tr>
          <tr>
            <td><strong>Redirection invalide</strong></td>
            <td>
              Paramétrer la redirection vers <code>http://example.com</code>
            </td>
          </tr>
          <tr>
            <td><strong>Divulgation d'informations</strong></td>
            <td>
              Si votre rapport contient des données sensibles, vous pouvez
              utiliser notre clé PGP pour chiffrer votre message.
            </td>
          </tr>
          <tr>
            <td><strong>CSRF</strong></td>
            <td>
              Attachez soit un fichier démontrant la vulnérabilité ou coller le
              code dans votre rapport.
            </td>
          </tr>
          <tr>
            <td><strong>SSRF</strong></td>
            <td>
              Ne jouez pas avec le réseau interne s'il vous plait. Si vous devez
              retrouver un fichier, merci de ne requêter que le fichier
              <code>security.txt</code>.
            </td>
          </tr>
          <tr>
            <td><strong>LFI</strong></td>
            <td>
              La meme règle s'applique ici. N'allez pas à l'encontre de
              celles-ci et de la philosophie de ce document. Il devrait y avoir
              un fichier
              <code>security.txt</code> dans le dossier
              <code>.well-known</code>. Le retrouver devrait être suffisant pour
              administrer la preuve.
            </td>
          </tr>
        </tbody>
      </table>

      <h2>Références</h2>
      <p>
        <strong
          >Merci d'avance pour votre contribution à la sécurité de nos projets
          !</strong
        >
      </p>
      <p>
        Cette page est fortement inspirée de celle
        <a
          href="https://hackerone.com/ed?type=team&amp;view_policy=true"
          rel="nofollow"
          >d'Edoverflow</a
        >
        contributeur de la
        <a href="https://www.rfc-editor.org/rfc/rfc9116" rel="nofollow"
          >RFC9116</a
        >.
      </p>
    </section>

    <section id="international-content" class="fr-col-lg-8 anct-html-content">
      <FrTitle class="fr-mb-6w" larger>Security policy</FrTitle>
      <p>
        This is a vulnerability disclosure program for all of projects and code
        the organism publish.
      </p>
      <h2>Disclosure policy</h2>
      <p>
        We will investigate legitimate reports and make every effort to quickly
        resolve any vulnerability. Please make a good faith effort to avoid
        privacy violations, destruction of data, and interruption or degradation
        of our services.
      </p>
      <p>
        Please follow the guidelines listed in the Proof of concepts section
        below to ensure that your proof of concept is detailed enough to
        demonstrate the issue.
      </p>
      <p>
        If you have any questions or concerns about our disclosure policy,
        please do not hesitate to contact us via email. If needed, you can use
        our
        <nuxt-link to="/.well-known/public-key-incubateur.asc"
          >PGP public key</nuxt-link
        >
        to protect your communication.
      </p>
      <h2>Service-level agreement (Performance expectations)</h2>
      <p>
        We will make a best effort to meet the following expectations for
        professionals participating in this program:
        <strong>Time to first response:</strong> 2 business days or less.
        <strong>Time to triage:</strong> 10 business days or less.
      </p>
      <h2>In-scope</h2>
      <p>
        All subdomains where you can retrieve a
        <code>.well-know/security.txt</code>. Please always verify that the
        <code>security.txt</code> file points to this page. If it doesn't, then
        that project is considered as out of scope.
      </p>
      <pre>
        <code class="language-sh">
          curl http://example.incubateur.anct.gouv.fr/.well-known/security.txt

          Contact: mailto:contactincubateur@anct.gouv.fr
        </code>
      </pre>

      <h2>Exclusions</h2>
      <p class="fr-mb-0">
        The following test types are excluded from the scope:
      </p>
      <ul class="fr-ml-2w fr-mb-2w">
        <li>
          Findings from physical testing such as office access (e.g. open doors,
          tailgating).
        </li>
        <li>
          Findings derived primarily from social engineering (e.g. phishing,
          vishing).
        </li>
        <li>
          Findings from applications or systems not listed in the "Scope"
          section.
        </li>
        <li>Vulnerability reports with video only PoCs.</li>
        <li>
          Reports that state that software is out of date or vulnerable without
          a proof of concept.
        </li>
        <li>Highly speculative reports about theoretical damage.</li>
        <li>
          Vulnerabilities as reported by automated tools without additional
          analysis as to how they’re an issue.
        </li>
        <li>
          Issues in third-party services should be reported to the respective
          team.
        </li>
      </ul>
      <p class="fr-mb-0">The following issue types are excluded from scope:</p>
      <ul class="fr-mb-2w fr-ml-2w">
        <li>Network-level Denial of Service (DoS/DDoS) vulnerabilities</li>
        <li>UI and UX bugs (including spelling mistakes).</li>
        <li>
          Host header issues without an accompanying proof-of-concept
          demonstrating vulnerability.
        </li>
        <li>Banner grabbing issues.</li>
        <li>CSP uses unsafe-inline without solid PoC</li>
      </ul>

      <h2>Proof of concepts</h2>
      <table>
        <thead>
          <tr>
            <th>Issue type</th>
            <th>When to report the issue</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td><strong>XSS</strong></td>
            <td>For XSS, a simple alert(document.domain) should suffice.</td>
          </tr>
          <tr>
            <td><strong>RCE</strong></td>
            <td>
              Please only execute harmless code. Simply printing something or
              evaluating an expression should be enough to demonstrate the
              issue.
            </td>
          </tr>
          <tr>
            <td><strong>SQLi</strong></td>
            <td>
              Report it as soon as you have a SQL error that indicates SQL
              injection or you are able to disclose the SQL server's version
              number.
            </td>
          </tr>
          <tr>
            <td><strong>Unvalidated redirect</strong></td>
            <td>
              Set the redirect endpoint to
              <code>http://example.com</code>.
            </td>
          </tr>
          <tr>
            <td><strong>Information disclosure</strong></td>
            <td>
              If your report contains sensitive data, please use our PGP key to
              encrypt it.
            </td>
          </tr>
          <tr>
            <td><strong>CSRF</strong></td>
            <td>
              Either attach a file to demonstrate the issue or paste the code in
              a code block in your report.
            </td>
          </tr>
          <tr>
            <td><strong>SSRF</strong></td>
            <td>
              Do not go playing around on any internal networks. If you feel the
              necessity to retrieve an internal file, please only request the
              internal <code>security.txt</code> file.
            </td>
          </tr>
          <tr>
            <td><strong>LFI</strong></td>
            <td>
              The same applies here — please do not go against the guideline
              listed in the Disclosure policy section. There should be a
              <code>security.txt</code> file located in the root directory.
              Being able to retrieve that file should be enough to demonstrate
              the issue.
            </td>
          </tr>
        </tbody>
      </table>

      <h2>References</h2>
      <p><strong>Thank you for helping us keep our projects safe!</strong></p>
      <p>
        Page strongly based on
        <a
          href="https://hackerone.com/ed?type=team&amp;view_policy=true"
          rel="nofollow"
          >Edoverflow security policy page</a
        >, contributor to
        <a href="https://www.rfc-editor.org/rfc/rfc9116" rel="nofollow"
          >RFC9116</a
        >.
      </p>
    </section>
  </div>
</template>

<script>
import FrTitle from '~/components/ui/Title';

export default {
  name: 'SecurityPolicyPage',
  components: { FrTitle },
};
</script>

<style>
table {
  border: 1px solid;
  border-collapse: collapse;
  margin-bottom: 16px;
}

th,
td {
  border: 1px solid;
  padding: 8px;
}
</style>
